# Interface Medium

All Known Implementing Classes:
  `DefaultMedium`

@UML(identifier="MD_Medium", specification=ISO_19115) public interface Medium
Information about the media on which the resource can be distributed.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<Double>`
  `getDensities()`
  Density at which the data is recorded.
  `Unit<?>`
  `getDensityUnits()`
  Units of measure for the recording density.
  `Collection<MediumFormat>`
  `getMediumFormats()`
  Method used to write to the medium.
  `InternationalString`
  `getMediumNote()`
  Description of other limitations or requirements for using the medium.
  `MediumName`
  `getName()`
  Name of the medium on which the resource can be received.
  `Integer`
  `getVolumes()`
  Number of items in the media identified.

- ## Method Details

  - ### getName

    @UML(identifier="name", obligation=OPTIONAL, specification=ISO_19115) MediumName getName()
    Name of the medium on which the resource can be received.
    Returns:
      Name of the medium, or `null`.

  - ### getDensities

    @UML(identifier="density", obligation=OPTIONAL, specification=ISO_19115) Collection<Double> getDensities()
    Density at which the data is recorded. The numbers shall be greater than zero.
    Returns:
      Density at which the data is recorded, or `null`.

  - ### getDensityUnits

    @UML(identifier="densityUnits", obligation=CONDITIONAL, specification=ISO_19115) Unit<?> getDensityUnits()
    Units of measure for the recording density.
    Returns:
      Units of measure for the recording density, or `null`.

  - ### getVolumes

    @UML(identifier="volumes", obligation=OPTIONAL, specification=ISO_19115) Integer getVolumes()
    Number of items in the media identified. Returns `null` if unknown.
    Returns:
      Number of items in the media identified, or `null`.

  - ### getMediumFormats

    @UML(identifier="mediumFormat", obligation=OPTIONAL, specification=ISO_19115) Collection<MediumFormat> getMediumFormats()
    Method used to write to the medium.
    Returns:
      Method used to write to the medium, or `null`.

  - ### getMediumNote

    @UML(identifier="mediumNote", obligation=OPTIONAL, specification=ISO_19115) InternationalString getMediumNote()
    Description of other limitations or requirements for using the medium.
    Returns:
      Description of other limitations for using the medium, or `null`.